Send Messages (API)

Last updated: February 19, 2026

Send Messages (API)

Send Message

POST /api/v1/send

Send text, image, video, document, or audio messages.

Request Body

{
  "to": "60123456789",
  "type": "text",
  "message": "Hello from API!",
  "instanceId": 1
}

Message Types

Text:

{
  "to": "60123456789",
  "type": "text",
  "message": "Hello!",
  "instanceId": 1
}

Image:

{
  "to": "60123456789",
  "type": "image",
  "mediaUrl": "https://example.com/image.jpg",
  "caption": "Check this out!",
  "instanceId": 1
}

Document:

{
  "to": "60123456789",
  "type": "document",
  "mediaUrl": "https://example.com/file.pdf",
  "fileName": "invoice.pdf",
  "instanceId": 1
}

Response

{
  "success": true,
  "messageId": "msg_abc123"
}

Send Template (WABA)

POST /api/v1/send-template

Send a template message for WABA instances.

Request Body

{
  "to": "60123456789",
  "templateName": "hello_world",
  "language": "en",
  "components": [],
  "instanceId": 1
}